
package de.ivu.elect.presentation.wahllokalsystem.action;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahllokalsystem.entity.WahllokalsystemStatus;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.wahllokalsystem.WahllokalsystemStatusEditView;

@Named(WahllokalsystemStatusEditAction.COMPONENT_NAME)
public class WahllokalsystemStatusEditAction extends AbstractWahllokalsystemStatusAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahllokalsystemStatusEditAction";

  @View
  @Inject
  private transient WahllokalsystemStatusEditView editView;

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLLOKALSYSTEM_STATUS_EDIT;
  }

  @Override
  protected String doIt(WahllokalsystemStatus wahllokalsystemStatus) {
    return editView.edit(wahllokalsystemStatus);
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }

}
